Fabrication des installateurs
==============================



Linux Debian 
------------

- Remarque : l'installateur est conçu sur OS Debian 7 volontairement ancien pour permettre une dépendance des librairies
Qt5 supérieure au librairies les plus anciennes. Voir chapitre, machine de développement.

- Veillez à ce que les paquets debhelper et  dh-make soient installés

~~~bash
sudo apt-get install debhelper dh-make
~~~


- Le répertoire debian contient les informations ( control, changes, etc).
- Pour chaque distribution il faut mettre à jour ces fichiers


- Pour info le répertoire debian a été créé par la commande

~~~bash
DEBFULLNAME="Gilles Maire"
dh_make -p dicorime_3.0 -e gilles@gillesmaire.com -c gpl3 -s -y -n
~~~

- Ensuite les fichiers *.ex inutiles ont été supprimés et les deux fichiers qdictionnare.conf et qdictionnaire.desktop ont été créés

- La modification du fichier changelog peut se faire au moyen de la commande 

~~~bash
dch -v 3.0
~~~

- Enfin la commande suivante génère les fichiers source et binaires dans au répertoire au dessus du répertoire des sources ( qdictionnaire-3.0)


~~~bash
dpkg-buildpackage -uc -us
~~~

Machine de développement
~~~~~~~~~~~~~~~~~~~~~~~~

- Installer une debian 7
- dans le fichier  `/etc/apt/sources.list` ajouter 


~~~
deb http://ftp.debian.org/debian wheezy-backports main
~~~
- faire apt-get upgrade	
- Installer le sdk et git par 

~~~bash
apt-get install qt5-default git
~~~

- installer les sources par 

~~~bash
git clone https://git.code.sf.net/p/dicorime/qdicorime dicorime-qdicorime
~~~

Paquets rpm
-----------


MacosOSX
--------

- Aller dans install et lancher ./makedistribmacosx


PC
---

- Pour cloner les sources, prendre gitbash

~~~bash
cd Desktop
git clone https://git.code.sf.net/dicorime/qdicorime qdictionnaire
~~~



- Deux fichiers sont présents dans le répertoire install :
    - Dicorime.MSVC.icss : fichier pour fabriquer l'installeur inno setup avec le Qt compilé avec Microsoft Visual Studio
    - Dicorime.MINGW.icss : gichier pour fabriquer l'installeur inno setup avec Qt compilé avec le comilateur Min GW
-


