linux{
DATEBUILD=$$system(date +"%Y/%m/%d")
GIT=$$system(git log -n 1 --format="%H")
VERSIONMAJOR=$$system(  git tag | tail -n 1 | cut -d. -f1 | cut -f2 -dV)
VERSIONMINOR=$$system(  git tag | tail -n 1 | cut -d. -f2 )
VERSIONWORK=$$system(  git tag | tail -n 1 )
system(/bin/echo -e \\\x23ifndef VERSION_H >version.h)
system(/bin/echo -e \\\x23define VERSION_H>>version.h)
system(/bin/echo -e \\\x23define VERSIONMAJOR \\\"$$VERSIONMAJOR\\\" >> version.h)
system(/bin/echo -e \\\x23define VERSIONMINOR \\\"$$VERSIONMINOR\\\" >>version.h)
system(/bin/echo -e \\\x23define VERSIONWORK \\\"$$VERSIONWORK\\\" >> version.h)
system(/bin/echo -e \\\x23define DATEBUILD \\\"$$DATEBUILD\\\" >> version.h)
system(/bin/echo -e \\\x23define GIT \\\"$$GIT\\\">>version.h)
system(/bin/echo -e \\\x23endif // VERSION_H >>version.h)

}
macx{
QMAKE_MAC_SDK=macosx10.9
}
QT+=sql widgets printsupport
SOURCES += qdictionnaire.cpp \
    main.cpp \
    configuration.cpp \
    phonemise.cpp \
    customsqlmodel.cpp \
    oulipo.cpp \
    wherecondition.cpp \
    conjugaison.cpp \
    formatage.cpp \
    debug.cpp \
    codeeditor.cpp \
    phonemisation.cpp \
    correctionorthographique.cpp \
    feuillestyle.cpp \
    sourcedefinition.cpp \
    menutextbrowser.cpp \
    util.cpp \
    synonymes.cpp \
    nouveautes.cpp \
    eula.cpp \
    dialogsysteminfo.cpp \
    tableviewkeyboard.cpp \
    lanquage.cpp
HEADERS += qdictionnaire.h \
    configuration.h \
    phonemise.h \
    customsqlmodel.h \
    oulipo.h \
    wherecondition.h \
    conjugaison.h \
    formatage.h \
    debug.h \
    codeeditor.h \
    phonemisation.h \
    correctionorthographique.h \
    feuillestyle.h \
    sourcedefinition.h \
    menutextbrowser.h \
    util.h \
    synonymes.h \
    nouveautes.h \
    eula.h \
    version.h \
    dialogsysteminfo.h \
    tableviewkeyboard.h \
    lanquage.h
TEMPLATE = app
mac:CONFIG += x86
mac:CONFIG -= ppc
CONFIG += warn_on \
    thread \
    qt 
TARGET = qdictionnaire
mac:TARGET = qdictionnaire  
RESOURCES = application.qrc
FORMS += qdictionnaire.ui \
    configuration.ui \
    apropos.ui \
    aide.ui \
    Statistiques.ui \
    PrintDialog.ui \
    citation.ui \
    phonemisation.ui \
    sourcedefinition.ui \
    nouveautes.ui \
    eula.ui \
    dialogsysteminfo.ui
CONFIG -= console
ICON = images/qdictionnaire.icns
OTHER_FILES += copyright.txt \
	    Afaire.txt \
	    versions.txt \
    default.svg \
    Style.css \
    Styles.txt \
    NotesDeveloppement.txt \
    Nouveautes.txt

DESTDIR = ../bin
OBJECTS_DIR = ../build/obj
MOC_DIR = ../build/moc
RCC_DIR = ../build/rcc
UI_DIR = ../build/ui

TRANSLATIONS = en.ts fr.ts

